Subject: Re: bug#9728: Incorrect -L flags order for HP-UX

From: Peter O'Gorman <[email-masked]>
Date: Thu, 13 Oct 2011 18:21:35 -0500

On 10/13/2011 06:06 PM, Vincent Lefevre wrote:

>
>> Something like the attached patch should work for mpfr.
>
> There are several problems with it. First, I assume that LOADLIBES
> should contain $(AM_CPPFLAGS) too. But the main problem is the
> inconsistent flags order: in the compile command, $(AM_CPPFLAGS)
> appears before $(CPPFLAGS), while in the link command, $(GMP_LIBS)
> appears after $(LDFLAGS). This means that if the user uses both
> --with-gmp and CPPFLAGS/LDFLAGS to provide search directories,
> the include and library search paths will be inconsistent.
>

Ok, this is not a libtool bug though. When it can libtool will add the 
path to the .so instead of -L -l for libraries in the build dir. On many 
systems this works, but HP-UX is one of those systems where it does not, 
so -L -l are used instead. This can cause problems when an older version 
of the library is installed in $prefix.

Sorry that I can't help more.

Thanks,
Peter